#include <iostream>
#include<stdlib.h>
using namespace std;

int main()
{
    int n;
    std::cin>>n;
    int *x=(int*)malloc(n*sizeof(int)),*y=(int*)malloc(n*sizeof(int));
    for(int i=0;i<n;i++)
    {
        std::cin>>x[i]>>y[i];
    }
    int res=0;
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            std::cout<<(x[i]-x[j])<<endl;
            std::cout<<(y[i]-y[j])<<endl;
            res+=(x[i]-x[j])*(x[i]-x[j])+(y[i]-y[j])*(y[i]-y[j]);
            std::cout<<res<<endl;
        }
    }
    std::cout<<res;
    return 0;
}
